OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Safe Haskell | None

Graphics.Rendering.OpenGL.GL.FramebufferObjects.FramebufferObjects

Description

# Documentation

data FramebufferObject

Constructors

FramebufferObject GLuint |

Instances

ObjectName FramebufferObject |

defaultFramebufferObject :: FramebufferObject

data FramebufferTarget

Constructors

DrawFramebuffer |
ReadFramebuffer |
Framebuffer |

marshalFramebufferTarget :: FramebufferTarget -> GLenum

bindFramebuffer :: FramebufferTarget -> StateVar FramebufferObject

data FramebufferStatus

Constructors

Complete |
Undefined |
IncompleteMissingAttachment |
IncompleteDrawBuffer |
IncompleteReadBuffer |
IncompleteMultiSample |
Unsupported |

framebufferStatus :: FramebufferTarget -> GettableStateVar FramebufferStatus